English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 143769 CVE descriptions
and 71225 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

==========================================================================
Ubuntu Security Notice USN-1249-1
October 27, 2011

backuppc vulnerabilites
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 11.10
- Ubuntu 11.04
- Ubuntu 10.10
- Ubuntu 10.04 LTS
- Ubuntu 8.04 LTS

Summary:

BackupPC could be made to expose sensitive information over the network.

Software Description:
- backuppc: high-performance, enterprise-grade system for backing up PCs

Details:

It was discovered that BackupPC did not properly sanitize its input when
processing backup browser error messages, resulting in a cross-site
scripting (XSS) vulnerability. With cross-site scripting vulnerabilities,
if a user were tricked into viewing server output during a crafted server
request, a remote attacker could exploit this to modify the contents, or
steal confidential data, within the same domain. This issue did not affect
Ubuntu 11.10. (CVE-2011-3361)

Jamie Strandboge discovered that BackupPC did not properly sanitize its
input when processing log file viewer error messages, resulting in
cross-site scripting (XSS) vulnerabilities.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 11.10:
  backuppc                        3.2.1-1ubuntu1.1

Ubuntu 11.04:
  backuppc                        3.2.0-3ubuntu4.2

Ubuntu 10.10:
  backuppc                        3.1.0-9ubuntu2.2

Ubuntu 10.04 LTS:
  backuppc                        3.1.0-9ubuntu1.2

Ubuntu 8.04 LTS:
  backuppc                        3.0.0-4ubuntu1.3

In general, a standard system update will make all the necessary changes.

References:
  http://www.ubuntu.com/usn/usn-1249-1
  CVE-2011-3361

Package Information:
  https://launchpad.net/ubuntu/+source/backuppc/3.2.1-1ubuntu1.1
  https://launchpad.net/ubuntu/+source/backuppc/3.2.0-3ubuntu4.2
  https://launchpad.net/ubuntu/+source/backuppc/3.1.0-9ubuntu2.2
  https://launchpad.net/ubuntu/+source/backuppc/3.1.0-9ubuntu1.2
  https://launchpad.net/ubuntu/+source/backuppc/3.0.0-4ubuntu1.3


New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Developer APIs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe

© 1998-2019 E-Soft Inc. All rights reserved.